# vinyl-group [![NPM version](https://img.shields.io/npm/v/vinyl-group.svg?style=flat)](https://www.npmjs.com/package/vinyl-group) [![NPM downloads](https://img.shields.io/npm/dm/vinyl-group.svg?style=flat)](https://npmjs.org/package/vinyl-group) [![Build Status](https://img.shields.io/travis/doowb/vinyl-group.svg?style=flat)](https://travis-ci.org/doowb/vinyl-group)

Vinyl object that contains groups of vinyl objects created with group-array.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save vinyl-group
```

## Usage

```js
var VinylGroup = require('vinyl-group');
```

## API

### [VinylGroup](index.js#L30)

Create an instance of `VinylGroup`. Pass in a group from [group-array](https://github.com/doowb/group-array) to store.

**Params**

* `group` **{Object}**: A group object created by passing an array of [vinyl](http://github.com/gulpjs/vinyl) file into [group-array](https://github.com/doowb/group-array).

**Example**

```js
var files = [ ... ]; // array of vinyl files
var group = groupArray(files, 'data.tags');
var vinylGroup = new VinylGroup(group);

console.log(vinylGroup.group === group);
//=> true

console.log(vinylGroup);
//=> <VinylGroup ["foo (3)", "bar (3)"]>
```

## About

### Related projects

* [group-array](https://www.npmjs.com/package/group-array): Group array of objects into lists. | [homepage](https://github.com/doowb/group-array "Group array of objects into lists.")
* [gulp](https://www.npmjs.com/package/gulp): The streaming build system | [homepage](http://gulpjs.com "The streaming build system")
* [vinyl](https://www.npmjs.com/package/vinyl): A virtual file format | [homepage](http://github.com/gulpjs/vinyl "A virtual file format")

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Building docs

_(This document was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme) (a [verb](https://github.com/verbose/verb) generator), please don't edit the readme directly. Any changes to the readme must be made in [.verb.md](.verb.md).)_

To generate the readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install -g verb verb-generate-readme && verb
```

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Brian Woodward**

* [github/doowb](https://github.com/doowb)
* [twitter/doowb](http://twitter.com/doowb)

### License

Copyright © 2016, [Brian Woodward](https://github.com/doowb).
Released under the [MIT license](https://github.com/doowb/vinyl-group/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on July 29, 2016._